summaryrefslogtreecommitdiffstats
path: root/debian/dovecot-core.bug-script
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--debian/dovecot-core.bug-script28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/dovecot-core.bug-script b/debian/dovecot-core.bug-script
new file mode 100644
index 0000000..1bf1d19
--- /dev/null
+++ b/debian/dovecot-core.bug-script
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+pecho() {
+ echo "$@"
+ echo "$@"|sed 's/./-/g'
+}
+
+
+if [ -x /usr/bin/doveconf ]
+then
+ echo
+ cat <<-EOF
+ You can append "doveconf -n" output to the bug report. It will help the
+ maintainers to better understand your configuration.
+ It normally doesn't contain any sensitive information, but you should
+ review it before sending.
+ EOF
+ echo
+ yesno "Do you want to append \"doveconf -n\" output to your bug report? " yep
+ if [ "$REPLY" == yep ]
+ then
+ echo >&3
+ pecho "dovecot configuration" >&3
+ /usr/bin/doveconf -n >&3
+ fi
+fi